Retrieve an Order Book

The order book endpoint provides an order book's bids and asks and can be used in streaming mode.

When filtering for a specific order book, you must use use all six of these arguments: base_asset_type, base_asset_issuer, base_asset_code, counter_asset_type, counter_asset_issuer, and counter_asset_code. If the base or counter asset is XLM, you only need to indicate the asset type as native and do not need to designate the code or the issuer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

The type for the asset being sold (base asset). Either native, credit_alphanum4, or credit_alphanum12.

Allowed:
string

The Stellar address of the issuer of the asset being sold (base asset). Required if the selling_asset_type is not native.

string

The code for the asset being sold (base asset). Required if the selling_asset_type is not native.

string
enum

The type for the asset being bought (counter asset). Either native, credit_alphanum4, or credit_alphanum12.

Allowed:
string

The Stellar address of the issuer of the asset being bought (counter asset). Required if the buying_asset_type is not native.

string

The code for the asset being bought (counter asset). Required if the buying_asset_type is not native.

integer

The maximum number of records returned. The limit can range from 1 to 200 — an upper limit that is hardcoded in Horizon for performance reasons. If this argument isn’t designated, it defaults to 20 for order books.

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json